---

- name: "Fetch Docker Host from Netbox : {{ task_suffix }}"
  ansible.builtin.set_fact:
    docker_host_response: |
      {{
        [
          lookup(
            'netbox.netbox.nb_lookup',
            'hosts',
            plugin='docker',
            api_endpoint=netbox_api,
            token=netbox_token,
            validate_certs=False,
            api_filter='name=' + waf_virtual_machine.name,
          )
        ] | flatten
      }}
  register: result
  retries: 5
  delay: 3
  until: result is not failed

- name: "Assert at least one host exists : {{ task_suffix }}"
  ansible.builtin.assert:
    that:
      - docker_host_response | length > 0
    fail_msg: "No host found."
    success_msg: "Host found."

- name: "Extract Docker Host information : {{ task_suffix }}"
  ansible.builtin.set_fact:
    docker_host: |
      {{
        docker_host_response
          | first
          | community.general.json_query('value')
      }}
